org.eclipse.ease.lang.python.debugger

## Class ResourceHelper

- java.lang.Object
- - org.eclipse.ease.lang.python.debugger.ResourceHelper

    public class ResourceHelper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ResourceHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.io.InputStream` `getResourceStream(java.lang.String bundle, java.lang.String path)` Returns an `InputStream` for a given resource within a bundle.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceHelper

    public ResourceHelper()

### Method Detail

#### getResourceStream

    public static java.io.InputStream getResourceStream(java.lang.String bundle,
                                                        java.lang.String path)
                                                 throws java.io.IOException

Returns an `InputStream` for a given resource within a bundle.

Parameters:
  `bundle` - qualified name of the bundle to resolve
  `path` - full path of the file to load
Returns:
  input stream to resource
Throws:
  `java.io.IOException` - on access errors on the resource